package com.fr.plugin.third.party.jsdiehc.function;

import com.fr.cache.Attachment;
import com.fr.cache.AttachmentFileBase;
import com.fr.cache.type.AttachmentScope;

public class ImageAttachment extends Attachment {
    public ImageAttachment()
    {
        super("", "", "", null);
    }

    private byte[] imageBytes;

    public ImageAttachment(String s, String s1, String s2, AttachmentFileBase attachmentFileBase, int i, int i1, AttachmentScope attachmentScope) {
        super(s, s1, s2, attachmentFileBase, i, i1, attachmentScope);
    }

    public ImageAttachment(String s, String s1, String s2, AttachmentFileBase attachmentFileBase, int i, int i1) {
        super(s, s1, s2, attachmentFileBase, i, i1);
    }

    public ImageAttachment(String s, String s1, String s2, AttachmentFileBase attachmentFileBase, AttachmentScope attachmentScope) {
        super(s, s1, s2, attachmentFileBase, attachmentScope);
    }

    public ImageAttachment(String s, String s1, String s2, AttachmentFileBase attachmentFileBase) {
        super(s, s1, s2, attachmentFileBase);
    }


    public byte[] getBytes() {
        return this.imageBytes;
    }

    public byte[] getImageBytes() {
        return imageBytes;
    }

    public void setImageBytes(byte[] bytes) {
        this.imageBytes = bytes;
    }
}
